SELECT 
'dental' as 'tablename',
COUNT(DISTINCT IF(MONTH(o.vstdate)=10 ,q.seq_id,NULL)) AS m10,
COUNT(DISTINCT  IF(MONTH(o.vstdate)=11 ,q.seq_id,NULL)) AS m11,
COUNT(DISTINCT  IF(MONTH(o.vstdate)=12 ,q.seq_id,NULL)) AS m12,
COUNT(DISTINCT  IF(MONTH(o.vstdate)=1 ,q.seq_id,NULL)) AS m1,
COUNT(DISTINCT  IF(MONTH(o.vstdate)=2 ,q.seq_id,NULL)) AS m2,
COUNT(DISTINCT  IF(MONTH(o.vstdate)=3 ,q.seq_id,NULL)) AS m3,
COUNT(DISTINCT  IF(MONTH(o.vstdate)=4 ,q.seq_id,NULL)) AS m4,
COUNT(DISTINCT  IF(MONTH(o.vstdate)=5 ,q.seq_id,NULL)) AS m5,
COUNT(DISTINCT  IF(MONTH(o.vstdate)=6 ,q.seq_id,NULL)) AS m6,
COUNT(DISTINCT  IF(MONTH(o.vstdate)=7 ,q.seq_id,NULL)) AS m7,
COUNT(DISTINCT IF(MONTH(o.vstdate)=8 ,q.seq_id,NULL)) AS m8,
COUNT(DISTINCT  IF(MONTH(o.vstdate)=9 ,q.seq_id,NULL)) AS m9

FROM dental_care d 
LEFT JOIN ovst o ON o.vn=d.vn 
LEFT JOIN ovst_seq q ON o.vn=q.vn 
LEFT JOIN dtmain t ON d.vn=t.vn 
WHERE 
#DATE(o.vstdate) BETWEEN DATE_SUB(CURDATE(), INTERVAL 30 DAY) AND CURDATE() 
DATE(o.vstdate) BETWEEN '2015-10-01' AND '2016-06-30'

UNION

SELECT 
'diagnosis_opd' as 'tablename',
COUNT( IF(MONTH(o.vstdate)=10 ,q.seq_id,NULL)) AS m10,
COUNT( IF(MONTH(o.vstdate)=11 ,q.seq_id,NULL)) AS m11,
COUNT( IF(MONTH(o.vstdate)=12 ,q.seq_id,NULL)) AS m12,
COUNT( IF(MONTH(o.vstdate)=1 ,q.seq_id,NULL)) AS m1,
COUNT( IF(MONTH(o.vstdate)=2 ,q.seq_id,NULL)) AS m2,
COUNT( IF(MONTH(o.vstdate)=3 ,q.seq_id,NULL)) AS m3,
COUNT( IF(MONTH(o.vstdate)=4 ,q.seq_id,NULL)) AS m4,
COUNT( IF(MONTH(o.vstdate)=5 ,q.seq_id,NULL)) AS m5,
COUNT( IF(MONTH(o.vstdate)=6 ,q.seq_id,NULL)) AS m6,
COUNT( IF(MONTH(o.vstdate)=7 ,q.seq_id,NULL)) AS m7,
COUNT(IF(MONTH(o.vstdate)=8 ,q.seq_id,NULL)) AS m8,
COUNT( IF(MONTH(o.vstdate)=9 ,q.seq_id,NULL)) AS m9

FROM ovstdiag o  
LEFT JOIN ovst v ON v.vn=o.vn  
INNER JOIN ovst_seq q ON q.vn = v.vn  
LEFT JOIN spclty sp ON sp.spclty = v.spclty  
WHERE o.icd10 REGEXP '^[a-z]' 
AND DATE(o.vstdate) BETWEEN '2015-10-01' AND '2016-06-30'







