#PROVIDER2_SQL#


SELECT 
'epi_anc' as 'tablename',
COUNT( IF(MONTH(p2.anc_service_date)=10 ,q.pcu_person_id,NULL)) AS m10,
COUNT( IF(MONTH(p2.anc_service_date)=11 ,q.pcu_person_id,NULL)) AS m11,
COUNT( IF(MONTH(p2.anc_service_date)=12 ,q.pcu_person_id,NULL)) AS m12,
COUNT( IF(MONTH(p2.anc_service_date)=1 ,q.pcu_person_id,NULL)) AS m1,
COUNT( IF(MONTH(p2.anc_service_date)=2 ,q.pcu_person_id,NULL)) AS m2,
COUNT( IF(MONTH(p2.anc_service_date)=3 ,q.pcu_person_id,NULL)) AS m3,
COUNT( IF(MONTH(p2.anc_service_date)=4 ,q.pcu_person_id,NULL)) AS m4,
COUNT( IF(MONTH(p2.anc_service_date)=5 ,q.pcu_person_id,NULL)) AS m5,
COUNT( IF(MONTH(p2.anc_service_date)=6 ,q.pcu_person_id,NULL)) AS m6,
COUNT( IF(MONTH(p2.anc_service_date)=7 ,q.pcu_person_id,NULL)) AS m7,
COUNT(IF(MONTH(p2.anc_service_date)=8 , q.pcu_person_id,NULL)) AS m8,
COUNT( IF(MONTH(p2.anc_service_date)=9 ,q.pcu_person_id,NULL)) AS m9

FROM person_anc_service_detail p1 
LEFT JOIN anc_service a1 ON p1.anc_service_id = a1.anc_service_id  
LEFT JOIN person_anc_service p2 ON p1.person_anc_service_id = p2.person_anc_service_id 
LEFT JOIN person_anc p3 ON p2.person_anc_id = p3.person_anc_id  
LEFT JOIN ovst_seq q ON q.vn = p2.vn 
WHERE q.pcu_person_id IS NOT NULL 
AND DATE(p2.anc_service_date) BETWEEN '2015-10-01' AND '2016-06-30'

UNION 
SELECT 
'epi_wbc' as 'tablename',
COUNT( IF(MONTH(w3.service_date)=10 ,q.pcu_person_id,NULL)) AS m10,
COUNT( IF(MONTH(w3.service_date)=11 ,q.pcu_person_id,NULL)) AS m11,
COUNT( IF(MONTH(w3.service_date)=12 ,q.pcu_person_id,NULL)) AS m12,
COUNT( IF(MONTH(w3.service_date)=1 ,q.pcu_person_id,NULL)) AS m1,
COUNT( IF(MONTH(w3.service_date)=2 ,q.pcu_person_id,NULL)) AS m2,
COUNT( IF(MONTH(w3.service_date)=3 ,q.pcu_person_id,NULL)) AS m3,
COUNT( IF(MONTH(w3.service_date)=4 ,q.pcu_person_id,NULL)) AS m4,
COUNT( IF(MONTH(w3.service_date)=5 ,q.pcu_person_id,NULL)) AS m5,
COUNT( IF(MONTH(w3.service_date)=6 ,q.pcu_person_id,NULL)) AS m6,
COUNT( IF(MONTH(w3.service_date)=7 ,q.pcu_person_id,NULL)) AS m7,
COUNT(IF(MONTH(w3.service_date)=8 , q.pcu_person_id,NULL)) AS m8,
COUNT( IF(MONTH(w3.service_date)=9 ,q.pcu_person_id,NULL)) AS m9

FROM person_wbc_vaccine_detail w1 
LEFT JOIN wbc_vaccine w2 ON w2.wbc_vaccine_id = w1.wbc_vaccine_id
LEFT JOIN person_wbc_service w3 ON w3.person_wbc_service_id = w1.person_wbc_service_id   
LEFT JOIN person_wbc w4 ON w4.person_wbc_id = w3.person_wbc_id  
LEFT JOIN ovst_seq q ON w3.vn = q.vn  
WHERE q.pcu_person_id IS NOT NULL 
AND DATE(w3.service_date) BETWEEN '2015-10-01' AND '2016-06-30'

UNION 
SELECT  
'epi_student' as 'tablename',
COUNT( IF(MONTH(v3.vaccine_date)=10 ,q.pcu_person_id,NULL)) AS m10,
COUNT( IF(MONTH(v3.vaccine_date)=11 ,q.pcu_person_id,NULL)) AS m11,
COUNT( IF(MONTH(v3.vaccine_date)=12 ,q.pcu_person_id,NULL)) AS m12,
COUNT( IF(MONTH(v3.vaccine_date)=1 ,q.pcu_person_id,NULL)) AS m1,
COUNT( IF(MONTH(v3.vaccine_date)=2 ,q.pcu_person_id,NULL)) AS m2,
COUNT( IF(MONTH(v3.vaccine_date)=3 ,q.pcu_person_id,NULL)) AS m3,
COUNT( IF(MONTH(v3.vaccine_date)=4 ,q.pcu_person_id,NULL)) AS m4,
COUNT( IF(MONTH(v3.vaccine_date)=5 ,q.pcu_person_id,NULL)) AS m5,
COUNT( IF(MONTH(v3.vaccine_date)=6 ,q.pcu_person_id,NULL)) AS m6,
COUNT( IF(MONTH(v3.vaccine_date)=7 ,q.pcu_person_id,NULL)) AS m7,
COUNT(IF(MONTH(v3.vaccine_date)=8 , q.pcu_person_id,NULL)) AS m8,
COUNT( IF(MONTH(v3.vaccine_date)=9 ,q.pcu_person_id,NULL)) AS m9

FROM village_student_vaccine_list v1    
INNER JOIN student_vaccine v2 ON v2.student_vaccine_id = v1.student_vaccine_id 
LEFT JOIN village_student_vaccine v3 ON v3.village_student_vaccine_id = v1.village_student_vaccine_id 
LEFT JOIN village_student v4 ON  v4.village_student_id = v3.village_student_id 
INNER JOIN ovst_seq q ON q.vn = v3.vn 
WHERE 
DATE(v3.vaccine_date) BETWEEN '2015-10-01' AND '2016-06-30'


UNION 
SELECT
'epi_vaccine' as 'tablename',
COUNT( IF(MONTH(e3.vaccine_date)=10 ,q.pcu_person_id,NULL)) AS m10,
COUNT( IF(MONTH(e3.vaccine_date)=11 ,q.pcu_person_id,NULL)) AS m11,
COUNT( IF(MONTH(e3.vaccine_date)=12 ,q.pcu_person_id,NULL)) AS m12,
COUNT( IF(MONTH(e3.vaccine_date)=1 ,q.pcu_person_id,NULL)) AS m1,
COUNT( IF(MONTH(e3.vaccine_date)=2 ,q.pcu_person_id,NULL)) AS m2,
COUNT( IF(MONTH(e3.vaccine_date)=3 ,q.pcu_person_id,NULL)) AS m3,
COUNT( IF(MONTH(e3.vaccine_date)=4 ,q.pcu_person_id,NULL)) AS m4,
COUNT( IF(MONTH(e3.vaccine_date)=5 ,q.pcu_person_id,NULL)) AS m5,
COUNT( IF(MONTH(e3.vaccine_date)=6 ,q.pcu_person_id,NULL)) AS m6,
COUNT( IF(MONTH(e3.vaccine_date)=7 ,q.pcu_person_id,NULL)) AS m7,
COUNT(IF(MONTH(e3.vaccine_date)=8 , q.pcu_person_id,NULL)) AS m8,
COUNT( IF(MONTH(e3.vaccine_date)=9 ,q.pcu_person_id,NULL)) AS m9

FROM epi_vaccine e1 
LEFT JOIN person_epi_vaccine_list e2 ON e1.epi_vaccine_id = e2.epi_vaccine_id  
LEFT JOIN person_epi_vaccine e3 ON e2.person_epi_vaccine_id = e3.person_epi_vaccine_id  
LEFT JOIN person_epi e4 ON e3.person_epi_id = e4.person_epi_id  
INNER JOIN ovst_seq q ON e3.vn = q.vn  
WHERE 1=1 
and DATE(e3.vaccine_date) BETWEEN '2015-10-01' AND '2016-06-30'

UNION 
SELECT 
'epi_ovst' as 'tablename',
COUNT( IF(MONTH(o.vstdate)=10 ,q.pcu_person_id,NULL)) AS m10,
COUNT( IF(MONTH(o.vstdate)=11 ,q.pcu_person_id,NULL)) AS m11,
COUNT( IF(MONTH(o.vstdate)=12 ,q.pcu_person_id,NULL)) AS m12,
COUNT( IF(MONTH(o.vstdate)=1 ,q.pcu_person_id,NULL)) AS m1,
COUNT( IF(MONTH(o.vstdate)=2 ,q.pcu_person_id,NULL)) AS m2,
COUNT( IF(MONTH(o.vstdate)=3 ,q.pcu_person_id,NULL)) AS m3,
COUNT( IF(MONTH(o.vstdate)=4 ,q.pcu_person_id,NULL)) AS m4,
COUNT( IF(MONTH(o.vstdate)=5 ,q.pcu_person_id,NULL)) AS m5,
COUNT( IF(MONTH(o.vstdate)=6 ,q.pcu_person_id,NULL)) AS m6,
COUNT( IF(MONTH(o.vstdate)=7 ,q.pcu_person_id,NULL)) AS m7,
COUNT(IF(MONTH(o.vstdate)=8 , q.pcu_person_id,NULL)) AS m8,
COUNT( IF(MONTH(o.vstdate)=9 ,q.pcu_person_id,NULL)) AS m9

FROM ovst_vaccine v 
LEFT JOIN ovst o ON o.vn = v.vn
LEFT JOIN person_vaccine p ON v.person_vaccine_id = p.person_vaccine_id
LEFT JOIN ovst_seq q ON o.vn = q.vn
WHERE q.pcu_person_id IS NOT NULL 
and DATE(o.vstdate) BETWEEN '2015-10-01' AND '2016-06-30'


UNION 

SELECT 
'epi_person' as 'tablename',
COUNT( IF(MONTH(p1.vaccine_date)=10 ,p1.person_id,NULL)) AS m10,
COUNT( IF(MONTH(p1.vaccine_date)=11 ,p1.person_id,NULL)) AS m11,
COUNT( IF(MONTH(p1.vaccine_date)=12 ,p1.person_id,NULL)) AS m12,
COUNT( IF(MONTH(p1.vaccine_date)=1 ,p1.person_id,NULL)) AS m1,
COUNT( IF(MONTH(p1.vaccine_date)=2 ,p1.person_id,NULL)) AS m2,
COUNT( IF(MONTH(p1.vaccine_date)=3 ,p1.person_id,NULL)) AS m3,
COUNT( IF(MONTH(p1.vaccine_date)=4 ,p1.person_id,NULL)) AS m4,
COUNT( IF(MONTH(p1.vaccine_date)=5 ,p1.person_id,NULL)) AS m5,
COUNT( IF(MONTH(p1.vaccine_date)=6 ,p1.person_id,NULL)) AS m6,
COUNT( IF(MONTH(p1.vaccine_date)=7 ,p1.person_id,NULL)) AS m7,
COUNT(IF(MONTH(p1.vaccine_date)=8 , p1.person_id,NULL)) AS m8,
COUNT( IF(MONTH(p1.vaccine_date)=9 ,p1.person_id,NULL)) AS m9

FROM person_vaccine_elsewhere p1  
LEFT JOIN person_vaccine p2 ON p2.person_vaccine_id = p1.person_vaccine_id
LEFT JOIN person p3 ON p3.person_id = p1.person_id
WHERE 1=1 
and DATE(p1.vaccine_date) BETWEEN '2015-10-01' AND '2016-06-30'
#PROVIDER2_SQL#